Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface RegExpLiteralTree

All Superinterfaces:
  `ExpressionTree`, `Tree`

    @Deprecated(since="11",
                forRemoval=true)
    public interface RegExpLiteralTree
    extends ExpressionTree

Deprecated, for removal: This API element is subject to removal in a future version.
Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
Represents regular expression literal in the source code.

Since:
  9

### Nested Class Summary

### Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`String` `getOptions()` Deprecated, for removal: This API element is subject to removal in a future version. Regular expression matching options.
`String` `getPattern()` Deprecated, for removal: This API element is subject to removal in a future version. Regular expression pattern to match.

### Methods declared in interface jdk.nashorn.api.tree.Tree

`accept, getEndPosition, getKind, getStartPosition`

### Method Detail

#### getPattern

    String getPattern()

Deprecated, for removal: This API element is subject to removal in a future version.
Regular expression pattern to match.

Returns:
  regular expression pattern

#### getOptions

    String getOptions()

Deprecated, for removal: This API element is subject to removal in a future version.
Regular expression matching options.

Returns:
  options like "i" for ignoreCase used